//---------------------------------------------------------------------------------
/// \file	MyFunction.h
/// \author	Rob Bateman [robthebloke@hotmail.com]
/// \date	2-7-2004
/// \brief
///	
//---------------------------------------------------------------------------------

#ifndef __MY_MEL_COMMAND__H__
#define __MY_MEL_COMMAND__H__

	#ifdef WIN32
		#define NT_PLUGIN
		#pragma once
	#endif

	// include any maya headers we need.
	#include <maya/MPxCommand.h>
	#include <maya/MGlobal.h>

	#include <maya/MImage.h>
	#include <maya/MArgDatabase.h>
	#include <maya/MSyntax.h>


	#include <maya/MColor.h>
	#include <maya/MVector.h>
	#include <maya/MFnMesh.h>
	#include <maya/MFnTransform.h>
	#include <maya/MFnPointLight.h>
	#include <maya/MItDependencyNodes.h>
	#include <maya/MFnDependencyNode.h>
	#include <maya/MPointArray.h>

	class MyFunction
		: public MPxCommand {
	public:

		/// \brief	This function is called when you mel command is executed. The function
		/// 		recieves the list of arguments passed to the command by mel.
		/// \param	args	-	the list of arguments
		/// \param	An error code.
		///
		MStatus doIt( const MArgList& args );


		/// \brief	this function is called by maya to return a new instance of our mel function
		/// \return	the new mel command object
		///
		static void* creator();

		static MSyntax newSyntax();
	};

#endif








